Issue 97017 - Provide a recent files button in the Start Center
Summary: Provide a recent files button in the Start Center
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 3.0
Hardware: All All
: P3 Trivial with 2 votes (vote)
Target Milestone: OOo 3.3
Assignee: Olaf Felka
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: StartCenter
  Show dependency tree
 
Reported: 2008-12-08 13:05 UTC by carsten.driesner
Modified: 2017-05-20 10:22 UTC (History)
5 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
add the button wihich popup the recent document (19.13 KB, text/plain)
2008-12-10 05:12 UTC, zhoubo.shi
no flags Details
Mock-up (6.18 KB, image/png)
2010-03-09 13:27 UTC, frank.loehmann
no flags Details
Updated Mock-up (due same size for all buttons) (6.17 KB, text/plain)
2010-03-09 13:30 UTC, frank.loehmann
no flags Details
Open menu button with mouse over focus (7.17 KB, image/png)
2010-03-09 15:47 UTC, frank.loehmann
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description carsten.driesner 2008-12-08 13:05:06 UTC
I would be nice to have a button to access the recent file list in the Start Center.
Comment 1 zhoubo.shi 2008-12-10 05:12:22 UTC
Created attachment 58670 [details]
add the button wihich popup the recent document
Comment 2 zhoubo.shi 2008-12-10 05:13:14 UTC
hi Carsten, I have submitted the patch
Comment 3 oooforum (fr) 2009-08-24 08:06:31 UTC
Thanks to update the issue #55002 as fixed
http://qa.openoffice.org/issues/show_bug.cgi?id=55002
Comment 4 carsten.driesner 2009-09-15 08:28:01 UTC
cd: Must be moved to OOo 3.3. No support for a enhanced specification from the
UX team.

cd: Due to limited time and too many issues I have to move this issue to the
next release.
Comment 5 carsten.driesner 2009-11-10 08:47:21 UTC
cd: Reminder: We need an updated specification for the Start Center.
Comment 6 carsten.driesner 2010-01-26 15:04:21 UTC
cd->fl: PING! Please find the patch for the recent document list button in the
start center attached.To integrate this patch we need an updated specification
for the start center.
Comment 7 frank.loehmann 2010-03-09 13:25:09 UTC
Hi Philipp, as discussed: Please add the recent file menu to the Start Center.
The "Open a document..." button will be renamed to 'Open...' and converted into
a menu button. The menu shows the same content like the recent file menu in
'File-Recent Files'. The left 'Open...' part still calls the Open dialog.
Comment 8 frank.loehmann 2010-03-09 13:27:21 UTC
Created attachment 68244 [details]
Mock-up
Comment 9 frank.loehmann 2010-03-09 13:30:01 UTC
Created attachment 68245 [details]
Updated Mock-up (due same size for all buttons)
Comment 10 frank.loehmann 2010-03-09 15:47:58 UTC
Created attachment 68250 [details]
Open menu button with mouse over focus
Comment 11 philipp.lohmann 2010-04-13 17:51:03 UTC
fixed in CWS vcl111
Comment 12 philipp.lohmann 2010-05-20 18:10:20 UTC
please verify in CWS vcl111
Comment 13 Olaf Felka 2010-06-02 10:01:10 UTC
of: Follow up issue 111992
Comment 14 Olaf Felka 2010-06-03 11:39:26 UTC
of: verified in cws vcl111.
Comment 15 sgautier.ooo 2010-06-19 09:27:23 UTC
Hi - I'm reopening this issue because it doesn't work as supposed on this issue
under DEV300m83 : the file menu for recent document doesn't open when clicking
on the arrow. Also alt+down arrow doesn't open the list
The label of the button is not correctly align under this others above - Sophie
Comment 16 Olaf Felka 2010-06-19 10:12:43 UTC
See issue 111992.
@ sgauti: Please be more detailed. What operating system?
Comment 17 Olaf Felka 2010-06-19 10:13:09 UTC
...
Comment 18 merschmann 2010-06-21 17:15:11 UTC
Reopening again.
I think sgauti forgot to cc herself.
See the discussion on the branding list
http://marketing.openoffice.org/servlets/BrowseList?list=branding&by=thread&from=2385222

Clicking the arrow-down does not open the list of recent files. Can confirm
under WinXP.
Comment 19 Olaf Felka 2010-06-22 06:53:29 UTC
@ all: Please refer to issue 111992.
Comment 20 Olaf Felka 2010-06-22 06:54:28 UTC
I'll reopen issue 111992